module Docker
  module Porcelain
    # Superclass of all errors from Docker::Porcelain.
    class Error < RuntimeError
    end

    # Error caused most probably by an unexpected container configuration,
    # eg. a missing command.
    class MisconfiguredContainerError < Error
    end

    # Error running a command inside a container.
    class CommandError < Error
    end
  end
end
